---
search:
  tags:
    - Channels
    - GET
seo:
  description: >-
    Get a single channel by ID. Reference for the GET /channels/{channelId}
    endpoint in the Modem API.
sidebar:
  label: Get channel
  badge: GET
title: Get channel
type: openapi-operation
---
Get a single channel by ID

`GET /channels/{channelId}`

**Responses**

- `200` — OK
- `400` — Invalid request (validation failed).
- `401` — Missing or invalid API key.
- `403` — The API key does not have access to this resource.
- `404` — The requested resource was not found.
- `429` — Rate limit exceeded.
- `500` — Internal server error.

Response example, 200:

```json
{
  "channelName": "string",
  "context": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "description": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "isConnected": true,
  "lastSeenAt": "2019-08-24T14:15:22Z",
  "messageCount": 0,
  "serverName": "string",
  "sourceChannelId": "string",
  "sourceName": "string",
  "sourceServerId": "string",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```
